@import "main.css";
@import "page_title.css";
@import "page_nav.css";
@import "pagination.css";

.banner{
  display: block;
  height: calc(50vh - 50px);
  width: 100%;
  background-image: url(../img/banner/new_banner_01.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: bottom;
  position: relative;
  bottom: 100px;
  margin-bottom: -100px;
}

section{
  margin: 20px 0px;
}

.news-item{
  display: grid;
  grid-template-columns: 140px auto;
  border-bottom: 1px solid var(--dark-300);
  line-height: 1.2rem;
  margin-bottom: 12px;
}

.news-item-img{
  width: 100%;
  aspect-ratio: 1/1;
  background-size: cover;
  background-position: center;
  display: block;
}

.news-content{
  position: relative;
  padding: 0px 12px;
  box-sizing: border-box;
}

.news-content > h2{
  margin: 5px 0px;
  font-size: 1.2em;
}

.news-content > h2 >a{
  display: -webkit-box;
  -webkit-line-clamp: 1; /* 设置行数 */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-content p{
  color: var(--dark-600);
  font-size: 1em;
  line-height: 1.4em;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* 设置行数 */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-content button{
  position: absolute;
  right: 0;
  bottom: 0;
  background-color: var(--brand-color-2);
  border: none;
}

.news-content button a{
  display: block;
  padding: 8px 12px;
  color: var(--dark-100);
}

.news-catlog{
  text-align: left;
  margin-bottom: 24px;
  user-select: none;
}

.news-catlog .active{
  background-color: var(--brand-color);
  color: var(--dark-100);
}

.news-catlog li{
  display: inline-block;
  padding:  6px 24px;
  border: 1px solid #ccc;
  margin: 6px 0px;
}

.news-catlog li:hover{
  background-color: var(--brand-color-2);
  color: var(--dark-100);
}


@media screen and (min-width: 768px) {
  .banner{
    height: calc(50vh - 50px);
    background-image: url(../img/banner/new_banner_01.jpg);
  }

  .news-item{
    display: grid;
    grid-template-columns: 220px auto;
    margin-bottom: 12px;
    border-bottom: 1px solid var(--dark-300);
    
  }

  .news-item-img{
    opacity: 1;
    aspect-ratio: 1/1;
  }

  .news-item-img:hover{
    transition: .3s ease;
    opacity: .8;
  }
  
  .news-content > h2{
    font-size: 1.2rem;
    margin-top: 12px;
  }

  .news-content:hover{
    background-color: var(--dark-200);
  }

  .news-content button:hover{
    transition: .3s ease;
    background-color: var(--brand-color);
  }

  .news-content p{
    line-height: 1.6em;
    -webkit-line-clamp: 3;
  }
  
}